%undefine __libtoolize
%global momorel 1
Name:		gnopernicus
Summary:	gnopernicus
Version:	0.9.18
Release:	%{momorel}m
License: 	GPL
Group:		User Interface/Desktops
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.9/%{name}-%{version}.tar.bz2 70fddfa095ca63c9f4238e02318751f9
Patch: gnopernicus-0.3.3-cflags.patch
URL: 		http://www.baum.ro/gnopernicus.html
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: GConf-devel >= 2.8.1
BuildPrereq: at-spi-devel >= 1.6.1
BuildPrereq: glib-devel >= 2.6.1
BuildPrereq: gtk+-devel >= 2.6.1
BuildPrereq: libgnome-devel >= 2.8.0
BuildPrereq: libgnomeui-devel >= 2.8.0
BuildPrereq: libglade-devel >= 2.4.1
BuildPrereq: linc-devel  >= 1.1.1
BuildPrereq: libxml2-devel >= 2.6.16
BuildPrereq: gnome-mag-devel >= 0.11.11
BuildPrereq: gnome-speech-devel >= 0.3.5
BuildPrereq: desktop-file-utils
prereq: scrollkeeper
Requires: GConf
Requires: at-spi
Requires: glib
Requires: gtk+
Requires: libgnome
Requires: libgnomeui
Requires: libglade
Requires: linc
Requires: libxml2
Requires: gnome-mag
Requires: gnome-speech

%description
 The gnopernicus project enables users with limited vision, or no vision, to use the Gnome 2 desktop and Gnome/GTK+-2 applications effectively. By providing automated focus tracking and  fullscreen magnification, Gnopernicus  will aid low-vision Gnome users, and its screen reader features will allow low-vision and blind users access to standard GTK+2 and Java-based GUI applications via speech and Braille output. By leveraging Gnome 2s built-in accessibility framework, Gnopernicus  makes interacting with applications more efficient for these users, and enables use of the Gnome 2 desktop for some users who otherwise would have no access to Gnome.

%package devel
Summary: gnopernicus-devel
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: GConf-devel
Requires: at-spi-devel
Requires: glib-devel
Requires: gtk+-devel
Requires: libgnome-devel
Requires: libgnomeui-devel
Requires: libglade-devel
Requires: linc-devel
Requires: libxml2-devel
Requires: gnome-mag-devel
Requires: gnome-speech-devel
                                                                                
%description devel
gnopernicus-devel

%changelog
* Thu Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.9.18-1m)
- version 0.9.18
- GNOME 2.8 Desktop

* Thu Jan 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.8.4-2m)
- add Utility to Categories of desktop file for KDE
- BuildPrereq: desktop-file-utils

* Sun Aug 15 2004 Motonobu Ichimura <famao@momonga-linux.org>
- (0.8.4-1m)
- version 0.8.4

* Mon May 23 2004 Toru Hoshina <t@momonga-linux.org>
- (0.8.3-2m)
- prereq scrollkeeper.

* Thu Apr 22 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.8.3-1m)
- version 0.8.3
- GNOME 2.6 Desktop
- adjustment BuildPreReq

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.7.1-2m)
- revised spec for enabling rpm 4.2.

* Thu Oct 09 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.7.1-1m)
- version 0.7.1

* Tue Sep 19 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.7.0-2m)
- add missing icon

* Tue Sep 16 2003 Motonobu Ichimura <famao@momonga-linux.org>
- (0.7.0-1m)
- version 0.7.0

* Tue Aug 19 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.6-1m)
- version 0.3.6

* Sat Aug 16 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.5-1m)
- version 0.3.5

* Wed Jul 02 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.4-1m)
- version 0.3.4

* Mon Jun 09 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.3-1m)
- version 0.3.3

* Wed May 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.2-1m)
- version 0.3.2

* Mon May 12 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.3.1-1m)
- version 0.3.1

%prep
%setup -q
%patch -p1

%build
%configure
make %{?_smp_mflags} || make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  --add-category Utility \
  %{buildroot}%{_datadir}/applications/gnopernicus.desktop

# remove
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for i in brlmonitor.schemas \
	gnopernicus.schemas \
	remote.schemas ; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$i > /dev/null
done
scrollkeeper-update
                                                                                
%postun
scrollkeeper-update

%files
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/brlmonitor.schemas
%{_sysconfdir}/gconf/schemas/gnopernicus.schemas
%{_sysconfdir}/gconf/schemas/remote.schemas
%{_sysconfdir}/gnopernicus-1.0
%{_bindir}/gnopernicus
%{_bindir}/srcore
#%{_bindir}/brlmonitor
%{_libexecdir}/brlmonitor
%dir %{_libdir}/gnopernicus-1.0
%{_libdir}/gnopernicus-1.0/*.so*
%doc %{_datadir}/omf/gnopernicus
%doc %{_datadir}/gnome/help/*
%{_datadir}/gnopernicus
%{_datadir}/locale/*/*/*.mo
%{_datadir}/applications/gnopernicus.desktop
%{_datadir}/pixmaps/gnopernicus.png

%files devel
%defattr (-, root, root)
%{_libdir}/pkgconfig/gnopernicus-1.0.pc
%{_libdir}/gnopernicus-1.0/*a
%{_includedir}/gnopernicus-1.0
